import { Node } from 'prosemirror-model';
import { Decoration } from 'prosemirror-view';

type Parser = (options: {
    /**
     * The text content of the code block node.
     */
    content: string;
    /**
     * The start position of the code block node.
     */
    pos: number;
    /**
     * The language of the code block node.
     */
    language?: string;
}) => Decoration[];
type LanguageExtractor = (node: Node) => string | undefined;

export type { LanguageExtractor as L, Parser as P };
